import Vue from "vue";
import Router from "vue-router";

Vue.use(Router);

export default new Router({
  routes: [
    {
      path: "/",
      redirect: "/index"
    },
    {
      path: "/index",
      name: "index",
      component: () => import("@/pages/index"),
      redirect: "/workplace",
      children: [
        {
        path: "/workplace",
        name: "workPlace",
        component: () => import("@/pages/workPlace"),
      },
        {
        path: "/servicedetail",
        name: "servicedetail",
        component: () => import("@/pages/serviceDetail"),
      },
      {
        path: "/fwzc", // 服务注册
        name: "fwzc",
        redirect: "/fwzc/fwcs",
        component: () => import("@/pages/fwzc_fwcs"),
        children: [
          {
            path: "/fwzc/fwcs", // 服务注册/服务测试
            name: "fwcs",
            component: () => import("@/pages/fwzc_fwcs")
          },
        ]
      }
      ]
    },
    {
      path: "/example_table", // 表格实例
      name: "example_table",
      component: () => import("@/pages/example_table")
    },
    {
      path: "/example_upload", // 表格实例
      name: "example_upload",
      component: () => import("@/pages/example_upload")
    },
    {
      path: "/example_code", // 编辑器实例
      name: "example_code",
      component: () => import("@/pages/example_code")
    },
    {
      path: "/example_icon", // svg 实例
      name: "example_icon",
      component: () => import("@/pages/example_icon")
    },
    {
      path: "/example_topology", // 拓扑图实例
      name: "example_topology",
      component: () => import("@/pages/example_topology")
    }
  ]
});
